summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefan Metzmacher <metze@samba.org>2005-12-27 10:48:27 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:47:47 -0500
commit1f8bb5bd8552bb02204225e312ab36e7844920c1 (patch)
tree18cd4a7fac322058dc3b7b9347788b0c326679c3
parent9b67a07e62b36eddf90fcb68043d0d710be44ed9 (diff)
downloadsamba-1f8bb5bd8552bb02204225e312ab36e7844920c1.tar.gz
samba-1f8bb5bd8552bb02204225e312ab36e7844920c1.tar.bz2
samba-1f8bb5bd8552bb02204225e312ab36e7844920c1.zip
r12509: make the output for the buildfarm nicer
metze (This used to be commit f03170cc52d8e196b878a3d3ddd2b8d0e633f487)
-rwxr-xr-xsource4/script/tests/test_pidl.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/source4/script/tests/test_pidl.sh b/source4/script/tests/test_pidl.sh
index 06f9617ec9..c48acf98cf 100755
--- a/source4/script/tests/test_pidl.sh
+++ b/source4/script/tests/test_pidl.sh
@@ -7,4 +7,9 @@ fi
incdir=`dirname $0`
. $incdir/test_functions.sh
-$PERL -MExtUtils::Command::MM -e "test_harness()" pidl/tests/*.pl || testok $0 1
+
+for f in pidl/tests/*.pl; do
+ testit "$f" $PERL -MExtUtils::Command::MM -e "test_harness()" $f || failed=`expr $failed + 1`
+done
+
+testok $0 $failed